BasicMarker (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.helpers
Class BasicMarker

    java.lang.Object
      org.slf4j.helpers.BasicMarker

All Implemented Interfaces:
  Serializable, Marker

    public class BasicMarker

extends Object
implements Marker

A simple implementation of the `Marker` interface.

Author:
  Ceki Gülcü, Joern Huxhorn
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.slf4j.Marker
`ANY_MARKER, ANY_NON_NULL_MARKER`

Method Summary
`void` | `add(Marker reference)` Add a reference to another Marker.
`boolean` | `contains(Marker other)` Does this marker contain a reference to the 'other' marker?
`boolean` | `contains(String name)` This method is mainly used with Expression Evaluators.
`boolean` | `equals(Object obj)` Markers are considered equal if they have the same name.
`String` | `getName()` Get the name of this Marker.
`boolean` | `hasChildren()`
`int` | `hashCode()` Compute the hash code based on the name of this marker.
`boolean` | `hasReferences()` Does this marker have any references?
`Iterator` | `iterator()` Returns an Iterator which can be used to iterate over the references of this marker.
`boolean` | `remove(Marker referenceToRemove)` Remove a marker reference.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Description copied from interface: `Marker`
  Get the name of this Marker.

  Specified by:
    `getName` in interface `Marker`
  Returns:
    name of marker

### add

    public void add(Marker reference)

  Description copied from interface: `Marker`
  Add a reference to another Marker.

  Specified by:
    `add` in interface `Marker`
  Parameters:
    `reference` - a reference to another marker

### hasReferences

    public boolean hasReferences()

  Description copied from interface: `Marker`
  Does this marker have any references?

  Specified by:
    `hasReferences` in interface `Marker`
  Returns:
    true if this marker has one or more references, false otherwise.

### hasChildren

    public boolean hasChildren()

  Specified by:
    `hasChildren` in interface `Marker`

### iterator

    public Iterator iterator()

  Description copied from interface: `Marker`
  Returns an Iterator which can be used to iterate over the references of this marker. An empty iterator is returned when this marker has no references.

  Specified by:
    `iterator` in interface `Marker`
  Returns:
    Iterator over the references of this marker

### remove

    public boolean remove(Marker referenceToRemove)

  Description copied from interface: `Marker`
  Remove a marker reference.

  Specified by:
    `remove` in interface `Marker`
  Parameters:
    `referenceToRemove` - the marker reference to remove
  Returns:
    true if reference could be found and removed, false otherwise.

### contains

    public boolean contains(Marker other)

  Description copied from interface: `Marker`
  Does this marker contain a reference to the 'other' marker? Marker A is defined to contain marker B, if A == B or if B is referenced by A, or if B is referenced by any one of A's references (recursively).

  Specified by:
    `contains` in interface `Marker`
  Parameters:
    `other` - The marker to test for inclusion.
  Returns:
    Whether this marker contains the other marker.

### contains

    public boolean contains(String name)

  This method is mainly used with Expression Evaluators.

  Specified by:
    `contains` in interface `Marker`
  Parameters:
    `name` - The marker name to test for inclusion.
  Returns:
    Whether this marker contains the other marker.

### equals

    public boolean equals(Object obj)

  Description copied from interface: `Marker`
  Markers are considered equal if they have the same name.

  Specified by:
    `equals` in interface `Marker`
  Overrides:
    `equals` in class `Object`
  Returns:
    true, if this.name equals o.name

### hashCode

    public int hashCode()

  Description copied from interface: `Marker`
  Compute the hash code based on the name of this marker. Note that markers are considered equal if they have the same name.

  Specified by:
    `hashCode` in interface `Marker`
  Overrides:
    `hashCode` in class `Object`
  Returns:
    the computed hashCode

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.